SCSS Support - plugin detail

Netbeans plugin for Scss language

NetBeans Plugin - SCSS Support
Plugin owner: marsaultj
Website: http://code.google.com/p/scss-editor/
Added: 2010-12-08
License: GNU General Public License v2
Category: Editing
Downloaded: 24,828 times
Rating:
 4.2, by 5 users

Plugin Log Show log

Versions available

Download plugin   Download size: 17.65 MB   Last Update: 2013-02-28

What's new in this version

  • Auto-completion
  • Local history


Verifications for NetBeans versions

Plugin is not subject to any verification

Download plugin   Download size: 4.41 MB   Last Update: 2012-03-10

This plugin is also available on the NetBeans Plugin Portal Update Center. Use 'Tools > Plugins' action from the NetBeans IDE main menu for convenient installation of this plugin


What's new in this version

- 2012-03-01 0.4 for netbeans 7.1.1, doc block tags in SCSS files overwrite global variables and set output CSS path
- 2011-03-23 0.3 for netbeans 6.9.1 and 7.0 with some new features (css conversion and scss compilation)

Verifications for NetBeans versions

7.1 verification PASSED See verification details
Download plugin   Download size: 4.41 MB   Last Update: 2012-03-10

What's new in this version

- 2012-03-01 0.4 for netbeans 7.1.1, doc block tags in SCSS files overwrite global variables and set output CSS path
- 2011-03-23 0.3 for netbeans 6.9.1 and 7.0 with some new features (css conversion and scss compilation)

Verifications for NetBeans versions

Plugin is not subject to any verification

Download plugin   Download size: 4.41 MB   Last Update: 2012-03-10

What's new in this version

- 2012-03-01 0.4 for netbeans 7.1.1, doc block tags in SCSS files overwrite global variables and set output CSS path
- 2011-03-23 0.3 for netbeans 6.9.1 and 7.0 with some new features (css conversion and scss compilation)

Verifications for NetBeans versions

Plugin is not subject to any verification



Introduction

This project adds support for editing Scss files.

Scss is one of two syntax available for Sass. Sass is an extension of CSS that adds power and elegance to the basic language. It allows you to use variables, nested rules, mixins, inline imports, and more, all with a fully CSS-compatible syntax. Sass helps keep large stylesheets well-organized, and get small stylesheets up and running quickly, particularly with the help of the Compass style library. Read more at http://sass-lang.com

[ You have to be logged in to be able to comment. ]

User Comments

  

Necessary in NB 8.0?

Is this plugin necessary if you have installed NetBeans 8.0?
I don't think so!
Posted by jolugaju on Apr 08, 2014
  

Changes to source for NB 7.4?

I've cloned the source to my desktop.
What are the minimal changes necessary to make this plugin compatible with
NB 7.4?

Thanks.
Posted by tjsherlock on Feb 20, 2014
  

Possible upgrade for Netbeans 7.4?

I would like to install this plugin for Netbeans 7.4. Any plans to upgrade the plugin?
Posted by tjsherlock on Feb 20, 2014
  

Impossible to install 1.1.3 to NB 7.2

I am using Netbeans 7.2 and ver 1.1.1 works well.
But somehow when install 1.1.3 returns error like "Mime Lookup API" and "Editor Utilities" too old"(probably the same situation as Richnou's http://www.rcarlier.com/netbeans-scss.jpg)

I cant make sense what this means.
Posted by incheon on Oct 12, 2013
  

Impossible to install...

Hello

When i try to install the plugin, I obtain this message:
http://www.rcarlier.com/netbeans-scss.jpg

("Mime Lookup API" and "Editor Utilities" too old)

But when I ask Netbeans to check for updates, he said : "your ide is up to date"...

If I check for updates in Tools > Plugin, no updates are detected...

How can I do ?



PS: Netbeans 7.3b on Windows 8
Posted by Richnou on Jun 26, 2013
  

Edit imported files

If I edit and save a file that is imported into the main .scss file, the main file should be compiled aswell. Using sass in a terminal does this, so I feel the plugin should, too.

The way it is now, we have to save the imported file, then go an make a slight modification in the main file, and save this too, in order to see the changes in the browser.
Posted by paddelboot on May 10, 2013
  

autocomplete broken

1. The curly bracket is not correctly indent in nested scss. For example, this is what happens:
a {
span {
display: none;
}
}
2. New line broken when you have curly bracket around:
a { display: none; }
-> you cannot add new line between curly bracket.

Please fix soon. Thanks!

Posted by pmkhoa on Apr 21, 2013
  

Excellent design

Thanks for giving us nice information with valuable and excellent design. I'm very inspired in your post. What is SEO
Posted by katherine250 on Apr 15, 2013
  

My mac dies when I install this plugin

Something is wrong with this plugin. Netbeans CPU usage hits 100% as soon as I install it. I reported this bug several months ago but still the same. Please fix it.
Posted by levani on Apr 07, 2013
  

Thanks a million for the latest update!

Thank you very much for creating the latest 7.3 update.

I'm using Netbeans on Linux and the previous versions you made of this plugin involved a lot of messing about to get the external SCSS installation working.

When I saw the increased filesize of this version, I suspected it may be because you have decided to bundle SCSS with it and I was right! It was a very nice surprise and installation is an absolute breeze.

I use your plugin all the time and could not live without it.

Thanks again!
Posted by joseph.d on Apr 05, 2013
  

Thanks, a bug, and a request...

Thanks so much for doing this!

There is a problem with the autocompletion though: It seems that once you have opened a curly brace, autocompletion only works properly for the first property you write. For all the following properties, only html tags are available.

I also have a request: Please, pretty please with sugar on top, could you add code folding?! It's a huge factor for me - one that always ends up with me reverting to sublimetext for scss editing.
Posted by squarestar on Mar 12, 2013
  

No code autocompletion

I have fresh installation of NetBeans 7.3 and installed Sass Editor plugin but i don't have an autocompletion feature at all. After pressing ctrl+space only "No suggestions" pops up.
Posted by pawdat on Mar 08, 2013
  

7.3?

I would be a very happy dude if this could be made to work in 7.3. Any chance of that happening?
Posted by CoolJazz on Feb 26, 2013
  

Crush compiling css

NetBeans 7.1.1
When I try to compile .scss file, in IDE the following error:

Compile style2.scss...
C:/Ruby193/lib/ruby/gems/1.9.1/gems/sass-3.2.5/lib/sass/version.rb:1:in `require': no such file to load -- date (LoadError)
from C:/Ruby193/lib/ruby/gems/1.9.1/gems/sass-3.2.5/lib/sass/version.rb:1
from C:/Ruby193/lib/ruby/gems/1.9.1/gems/sass-3.2.5/lib/sass/version.rb:9:in `require'
from C:/Ruby193/lib/ruby/gems/1.9.1/gems/sass-3.2.5/lib/sass.rb:9
from C:/Ruby193/lib/ruby/gems/1.9.1/gems/sass-3.2.5/lib/sass.rb:1:in `require'
from
Posted by gennady_k on Feb 16, 2013
  

NetBeans 7.2

Open /.netbeans/config/Modules/org-netbeans-modules-languages-scss.xml and modified the "enabled" property
A 7.2 version is available but contains unresolved bugs http://code.google.com/p/scss-editor/downloads/list
Posted by marsaultj on Feb 08, 2013
  

Crushed my NetBeans 7.2

I know that this plugin is for NetBeans 7.1 but I thought that may be it'll work on 7.2, so I installed it. But then after restarting NetBeans it wouldn't start, so I'm working now on how to disable it.
Posted by mehdiway on Feb 08, 2013
  

Version 1.1.1 beta does work with NetBeans 7.2.1

org-netbeans-modules-languages-scss-1.1.1.nbm

Great plugin, thanks!
Posted by nakohdo on Nov 30, 2012
  

Compilation errors

Using 0.4 on NB 7.2.1, I get a lot of compilation errors and rgba( x, y, z, a ) get's corrupted during compilation ( a turns to 0 always ). I guess I should use the beta version, but I still need my NB :O
Posted by paddelboot on Nov 22, 2012
  

Not working with 7.2

Contrary to the comment by rhellyer, this plugin has completely broken my 7.2, NB won't start any more.

Do you expect to have update for 7.2 in near future?

Thanks
Posted by loutka on Nov 13, 2012
  

Great plugin - seems to work with 7.2 - how do I use scss compilation?

Great and much needed plugin.

I am using beta version referred to below but formatting doesn't work ---is that a setting that I am missing?



Thanks!
Posted by rhellyer on Oct 23, 2012
  

Autocompete featutre

The autocomplete feature is available in beta version which can be downloaded from this link : http://code.google.com/p/scss-editor/downloads/detail?name=org-netbeans-modules-languages-scss-1.1.1.nbm
Posted by marsaultj on Oct 09, 2012
  

Autocompete featutre

I have the same suggestion as pinta83. CSS autocomplete would be great feature in this module. But still thanks for this great plugin
Posted by tomas.teicher on Oct 09, 2012
  

Code autocomplete

Great plugin, does what it sais but it would be nice if autocomplete would work like the one for css.
Posted by pinta83 on Jul 30, 2012
  

sweet plugin!

All I wanted!
Posted by lunarnet76 on May 23, 2012
  

support for Netbeans 7.0

Hi, a version for Netbeans 7.0 is available at this url : http://code.google.com/p/scss-editor/downloads/detail?name=org-netbeans-modules-languages-scss-0.1-nb7.0.nbm&can=2&q=.
Posted by marsaultj on Jan 31, 2011
  

Net Beans 7.0 M2 Support

Hi! How about support for this plug-in Net Beans 7.0 M2? I get a message about an incompatibility with Editor module version (3.4, plugin requires > 2.10).
Posted by Imenem on Jan 31, 2011
  

Download URL

In order to download the plugin use this URL:
http://plugins.netbeans.org/nbpluginportal/files/nbms/1294244520769_org-netbeans-modules-languages-scss.nbm
Posted by jkovalsky on Jan 05, 2011
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo